SysSecurityHandler (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.oncrpc.security, class: SysSecurityHandler

Package org.apache.hadoop.oncrpc.security

# Class SysSecurityHandler

java.lang.Object
org.apache.hadoop.oncrpc.security.SecurityHandler
org.apache.hadoop.oncrpc.security.SysSecurityHandler

public class SysSecurityHandler extends SecurityHandler

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.oncrpc.security.SecurityHandler

  `LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SysSecurityHandler(CredentialsSys credentialsSys, IdMappingServiceProvider iug)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int[]`
  `getAuxGids()`
  Used by AUTH_SYS.
  `int`
  `getGid()`
  Used by AUTH_SYS.
  `int`
  `getUid()`
  Used by AUTH_SYS.
  `String`
  `getUser()`
  `VerifierNone`
  `getVerifer(RpcCall request)`
  `boolean`
  `shouldSilentlyDrop(RpcCall request)`

  ### Methods inherited from class org.apache.hadoop.oncrpc.security.SecurityHandler

  `isUnwrapRequired, isWrapRequired, unwrap, wrap`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SysSecurityHandler

    public SysSecurityHandler(CredentialsSys credentialsSys, IdMappingServiceProvider iug)

- ## Method Details

  - ### getUser

    public String getUser()
    Specified by:
      `getUser` in class `SecurityHandler`

  - ### shouldSilentlyDrop

    public boolean shouldSilentlyDrop(RpcCall request)
    Specified by:
      `shouldSilentlyDrop` in class `SecurityHandler`

  - ### getVerifer

    public VerifierNone getVerifer(RpcCall request)
    Specified by:
      `getVerifer` in class `SecurityHandler`

  - ### getUid

    public int getUid()
    Description copied from class: `SecurityHandler`
    Used by AUTH_SYS. Return the uid of the NFS user credential.
    Overrides:
      `getUid` in class `SecurityHandler`
    Returns:
      uid

  - ### getGid

    public int getGid()
    Description copied from class: `SecurityHandler`
    Used by AUTH_SYS. Return the gid of the NFS user credential.
    Overrides:
      `getGid` in class `SecurityHandler`
    Returns:
      gid

  - ### getAuxGids

    public int[] getAuxGids()
    Description copied from class: `SecurityHandler`
    Used by AUTH_SYS. Return the auxiliary gids of the NFS user credential.
    Overrides:
      `getAuxGids` in class `SecurityHandler`
    Returns:
      auxiliary gids